Subject: bug#21777: 25.0.50; gud-gdb uses a pager, which is harmful inside emacs

From: Eli Zaretskii <[email-masked]>
Date: Mon, 21 Sep 2020 17:03:53 +0300

> From: Lars Ingebrigtsen <[email-masked]>
> Cc: Dima Kogan <[email-masked]>,  [email-masked],
>   [email-masked]
> Date: Sun, 20 Sep 2020 23:18:32 +0200
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> > IME, users sometimes have some use cases that look really weird to me,
> > but are somehow very important to them.  So I'm trying to avoid
> > stepping on their toes as much as possible, even if I cannot imagine
> > those use cases in advance.
> 
> I worked up a patch for this, but in testing, there's a number of
> problems.

Do you see the original problem with a recent version of GDB?  In the
discussion, I mentioned that the change to follow that of Emacs was
installed in GDB back then, so it's reasonable to expect that we no
longer have a problem described in this bug report.